# Generated by Django 4.1.1 on 2022-11-19 00:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Distribution",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=100)),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("Normal Distribution", "Normal"),
                            ("Binomial Distribution", "Binomial"),
                            ("Poisson Distribution", "Poisson"),
                            ("Uniform Distribution", "Uniform"),
                            ("Exponential Distribution", "Exponential"),
                            ("Bernoulli Distribution", "Bernoulli"),
                        ],
                        default="Normal Distribution",
                        max_length=30,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Distribution_Data",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("input", models.FloatField(blank=True, null=True)),
                (
                    "distribution",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="distribution_data",
                        to="distribution_rest.distribution",
                    ),
                ),
            ],
        ),
    ]
